# eslint-plugin-nxn-promise

HTTP services should not use success and failure functions. Use then function instead.

## Installation

You'll first need to install [ESLint](http://eslint.org):

```
$ npm i eslint --save-dev
```

Next, install `eslint-plugin-nxn-promise`:

```
$ npm install eslint-plugin-nxn-promise --save-dev
```

**Note:** If you installed ESLint globally (using the `-g` flag) then you must also install `eslint-plugin-nxn-promise` globally.

## Usage

Add `nxn-promise` to the plugins section of your `.eslintrc` configuration file. You can omit the `eslint-plugin-` prefix:

```json
{
    "plugins": [
        "nxn-promise"
    ]
}
```


Then configure the rules you want to use under the rules section.

```json
{
    "rules": {
        "nxn-promise/rule-name": 2
    }
}
```

## Supported Rules

* Fill in provided rules here





