/**
 * @fileoverview HTTP services should not use success and failure functions. Use then function instead.
 * @author Murali Sethuraman
 */
"use strict";

module.exports = {
	rules: {
		'no-http-success-error': require('./rules/no-http-success-error')
	},
	rulesConfig: {
		'no-http-success-error': 2
	},
	config: {
		recommended: {
			rules: {
				'nxn-promise/no-http-success-error': 'error'
			}
		}
	}
}



